require 'rails_helper'

module EmmetNotifications
  module Adapters
    describe Email, type: :lib do
      let(:message) { double subject: 'Subject Mail', content: 'Message Mail' }
      let(:email) { 'example@test.com' }

      it 'calls NotificationMailer.notify' do
        expect(NotificationMailer).to receive(:notify)
          .with({to: email, subject: message.subject, content: message.content})
          .and_return(double deliver_now: true, deliver_later: true)

        Email.send_to(email: email,
          subject: message.subject, content: message.content)
      end
    end
  end
end
